WasenderApi - Low Cost WhatsApp API for Developers Fetch Username - API Documentation - WasenderApi - Low Cost WhatsApp API for Developers
WasenderAPI

API Documentation

WasenderApi WhatsApp API

Fetch Username

Sessions

GET/api/fetch-username/{contact_identifier}

Fetches WhatsApp username metadata for a contact.

Fetch Username

Fetches WhatsApp username metadata for a contact.

You can pass a phone number, WhatsApp user JID, LID JID, or username handle. For values containing @, such as [email protected], 1234567890@lid, or @jane_doe, URL-encode the @ symbol as %40 when passing it in the path.

Parameters

NameTypeRequiredDescription
contact_identifierstringYesPhone number, WhatsApp user JID, LID JID, or username handle. Examples: +1234567890, [email protected], 1234567890@lid, or @jane_doe. URL-encode @ as %40 in the path.

Code Examples

curl "https://www.wasenderapi.com/api/fetch-username/1234567890%40s.whatsapp.net"
  -H "Authorization: Bearer YOUR_API_KEY"

Response Examples

{
  "success": true,
  "data": {
    "jid": "[email protected]",
    "username": "jane_doe"
  }
}